The Stack Overflow podcast is back! Listen to an interview with our new CEO.

Questions tagged [aptitude]

Alternative package manager for Debian and derivatives which offers an ncurses based text-mode user interface (TUI) and mighty search patterns besides a command-line interface similar to `apt-get`'s command-line interface.

Filter by
Sorted by
Tagged with
2
votes
1answer
5k views

How to “autoremove” packages with aptitude package manager?

Is it possible to perform an equivalent of apt-get autoremove with aptitude? If yes, how? The Debian Administrator's Handbook says that aptitude "autoremoves" packages automatically, but this is not ...
2
votes
1answer
665 views

Problems installing simplescreenrecorder on debian jessie

I've been having some major issues lately trying to install various software either by compiling from source or via apt-get and aptitude. I keep getting unmet dependancies which result in never-...
2
votes
1answer
4k views

Better logging than /var/log/dpkg.log of package-management?

Has there been some better logging tools than /var/log/dpkg.log as /var/log/dpkg.log seems to have just installations and upgrades but nothing about removals . Also it seems a bit chaotic, does ...
2
votes
1answer
186 views

How do I terminate Aptitude safely

I have a TMux session with Aptitude open. The Aptitude process has been "killed" several times with STOP/CONT. Now it doesn't react to the Q key. Instead a 'q' is printed on the top-left corner of the ...
2
votes
1answer
4k views

Are All The Packages Included On The Debian DVD/CD Images Or Just The Most Popular?

My understanding is that Debian and all the software available in the matching online repo (eg: https://packages.debian.org/stable/allpackages) are released together on a series of disc images (...
2
votes
1answer
3k views

How to pull dependencies for package/testing from testing

Trying to install a newer version of libav-tools from testing to my otherwise debian-stable installation. I have testing in my sources.list and my preferences look like: Package: * Pin: release a=...
2
votes
2answers
2k views

Uninstalling software packages, without removing the downloaded .deb in apt-cache?

Currently I am running Wheezy 32-bit, and recently I installed FreeSWITCH from the official repos. However, I realized that for the purpose I had in mind, I needed to rebuild FreeSWITCH myself, from ...
2
votes
0answers
99 views

How to check If my PC was exploited after apt exploit? [closed]

I used sudo apt-get update sudo apt-get upgrade before I read https://www.debian.org/security/2019/dsa-4371 Is there a way to check if my PC got exploited/hacked/virused ?
2
votes
0answers
47 views

Show aptitude parameters in visual mode

How can I see aptitude command line parameters when running in visual mode? In visual mode, when an action is performed, aptitude leaves visual mode and goes back to cli. I would like to see the ...
2
votes
0answers
48 views

Export download packages in Aptitude

I have badly damaged my Debian with some stupid stunt. I am now trying to fix it with a live CD, mounting the system on HDD, and chrooting into the system to fix it with aptitude. I am able to fix my ...
2
votes
1answer
2k views

How can I upgrade a complete list of packages from stable to backports

I have installed Qt 4.8.2 from Debian Wheezy on my system. Now, some application requires Qt 4.8.3 on my machine, so I looked at the versions and found that Qt 4.8.6 is avaliable in Wheezy-Backports: ...
2
votes
1answer
830 views

Can't Install netflix-desktop in Debian…Aptitude Has Unmet/Broken Dependencies

I'm trying to install the netflix-desktop package in Debian 'jessie'. I was able to get this to work on my laptop running Debian 'wheezy' a few months ago, but on my desktop I keep running into these ...
2
votes
0answers
214 views

What does apt need to be healed of a bad setup?

I made a couple of earlier posts regarding a libssl-dev that, it seemed, was not removable. Some of the replies touched on that there was a problem with apt, and now that someone posted the command to ...
2
votes
1answer
324 views

crossplatformui error in Mint 11

Whenever I try to install something in my system it generally installs but shows some error related to "crossplatformui". I don't know what it is and how to remove it. I am printing here a sample ...
1
vote
1answer
287 views

is there a way to use regexp with aptitude?

I use an alias to find new packages whenever I update the package index. [$] alias aptn aptn='aptitude search '\''~N'\' Now while this works, I also get a bunch of -dbgsym packages which come ...
1
vote
3answers
6k views

Upgrade to squeeze and dpkg returned an error code(1)

I want to upgrade my server so I ran apt-get dist upgrade but I keep having this error: Unpacking replacement aptitude ... dpkg-deb: file `/var/cache/apt/archives/aptitude_0.6.8.2-1_armel.deb' ...
1
vote
1answer
437 views

Have aptitude search print full package name

Environment: aptitude called in a script. I'm having problems with this command: aptitude search '?virtual' |grep ^v |grep -v i386|sort|uniq In particular if I do: aptitude search '?virtual' |...
1
vote
2answers
1k views

aptitude remove pkg_name* not working like apt-get

I have uninstalled (aptitude purge) the qt-sdk package but there is still a lot of qt4* and libqt* packages on my system. Is there a way to remove all these packages with aptitude remove/purge ...
1
vote
1answer
41 views

apt install: Note, selecting 'foo' instead of './foo_x.y.z_amd64.deb' - what it means?

I searched the web but could not find an answer to: why apt install ./*.deb writes Note, selecting x instead of './x_something.deb' e.g Note, selecting 'phantomjs' instead of './phantomjs_2.1.1+...
1
vote
1answer
217 views

Debian: The following packages have been kept back… odbcinst AND odbcinst1debian2

PROBLEM: I've had these two packages held back for weeks now and I can't get rid of them, The following packages have been kept back: odbcinst odbcinst1debian2 look here: [10:53:34][kristjan] ~ ...
1
vote
1answer
27 views

Install partly downloaded updates in Debian

From time to time I update my Debian by running: aptitude update && aptitude full-upgrade but before running it I often forget or deliberately skip running aptitude clean which removes old ...
1
vote
2answers
688 views

What is happen when virtual package depends/recommeds/suggest without real package depends/recommeds/suggest?

Recommends: xkb-data, x-terminal-emulator, pavucontrol | gnome-alsamixer What is meaning for here the x-terminal-emulator? I find one link,but what should installed? Is this undefined behavior? ...
1
vote
2answers
596 views

How to manage deb based packages/dependencies

Today I installed Elementary OS Loki into a VM. I was surprised, that the system is so fast and pretty. But to the point: How to install .deb packages and resolve any dependencies on Elementary OS?...
1
vote
1answer
2k views

apt mirror chooses wrong architecture

I tried to do a repository mirror using apt-mirror and it inexplicably choose the wrong architecture. This is the architecture of the mirroring machine: uname -a Linux MyWorkStation 3.2.0-76-generic ...
1
vote
1answer
1k views

No clisp in Debian's repository?

I want to install clisp. My /etc/apt/sources.list: deb http://security.debian.org/ testing/updates main contrib deb-src http://security.debian.org/ testing/updates main contrib deb http://http....
1
vote
2answers
1k views

Why do I get Hash Sum mismatch error when trying to install mono on debian

I am following the mono installation tutorial. First I add repo to list, then I import key and finally I try to update the repos. On last step I get error: W: Failed to fetch http://download.mono-...
1
vote
2answers
17k views

Get errors when aptitude update

I get the following errors when aptitude update. These errors are after non-error updates. What do I do to fix this, but not remove the ppas, etc? Err http://ppa.launchpad.net Packages 404 Not ...
1
vote
2answers
79 views

How to check if aptitude did something?

I've a CI build process during which I install a debian package from my local reprepro. I have a Makefile which does call aptitude to install the package from its own repository like this sudo ...
1
vote
1answer
46 views

How to prevent APT from keeping packages I didn't install?

When I install packages via apt-get install <package> or aptitude install <package> and remove them afterwards with apt-get purge <package>; apt-get autoremove --purge, my system is ...
1
vote
1answer
36 views

Debian Sid - Stay some weeks behind current roll

I'm currently on Debian Sid. Is there a way to only update packages that were released, e.g. at least one week ago? Could I schedule an update and then only upgrade two/four weeks later? The intent ...
1
vote
1answer
263 views

Failure to install aptitude using apt because of missing dependency even though dependency is installed

When trying to install aptitude with apt this error is thrown: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may ...
1
vote
1answer
205 views

apt wants to autoremove automatically installed recommended packages despite settings in apt.conf.d

When I'm running apt upgrade, it suggests me to auto-remove several dozens of essential packages using apt autoremove. They include busybox, bluetooth and alsa-utils among other important packages ...
1
vote
1answer
120 views

Dependency issues when building software [closed]

When I build binaries from source provided by a third party, there is pretty much always an issue with the dependencies versions. I mostly use Debian (Sometimes Ubuntu) and the repositories only ...
1
vote
1answer
111 views

Essential packages and multiple architectures on Debian

I have a working OS that runs 64 bit kernel but I want to use 32 bit versions of most packages because of limited memory on the machine. I need to keep some 64 bit drivers though as there is no 32 bit ...
1
vote
1answer
72 views

Most installed packages marked obsolete in aptitude, updates are not found

I was running aptitude and previewing packages marked to be updated when the power went out for a second. Now almost all of my installed packages are marked as obsolete and the updates I was about to ...
1
vote
1answer
63 views

regexp with aptitude part 2

I had asked about regexp with aptitude here and that worked beautifully. Now have i386 packages also in the midst. How do I make sure that i386 packages do not come into the picture. I tried the ...
1
vote
1answer
393 views

bash aptitude install package list from shell variable

I'm on Debian GNU/Linux 8 Jessie, and trying to install packages with aptitude in a bash script from a shell variable. The shell variable is being interpreted as a single package "pkg1 pkg2 pkg3 ... " ...
1
vote
1answer
29 views

Finding packages which have old configs installed and forcing them to use the new configs

Sometimes I get messages saying that the old package still has old configs and it uses that instead of the new configuration file. Is there anyway in Debian to force packages to use new config files ...
1
vote
1answer
288 views

Aptitude deleted a buttload of modules when I tried to install Imagemagick, how do I undo this?

Yesterday I tried to install Imagemagick, I used apt-get at first, which returned an error. I was already trying to install ImageMagick for hours, so I got impatient. A post on stackoverflow said that ...
1
vote
1answer
718 views

What is the 'apt-get' equvalent of 'aptitude keep-all'?

From aptitude man page. keep-all Cancels all scheduled actions on all packages; any packages whose sticky state indicates an installation, removal, or upgrade will have this ...
1
vote
1answer
2k views

Bare-bones linux? [closed]

I am working on a homemade OS and I was originally going to write it myself in Assembly and Python, but I decided that doing this would just be easier, faster, and more Linux-y. I have the Python part ...
1
vote
1answer
98 views

Understanding aptitude's behavior on a machine with multiple archives enabled

I'm having to deal with a Debian server, which initially was Squeeze, I believe, but where administrator enabled several distributions: deb http://mirror.yandex.ru/debian/ stable main contrib non-...
1
vote
1answer
286 views

How to purge package in debian without affecting other packages?

I had mysql-server-5.1 installed, then upgraded to mysql-server-5.5 and now upgraded to percona server (package percona-server-server-5.5). So now I have 2 mysql-server packages removed, but not ...
1
vote
1answer
102 views

Dpkg hangs at any action

Independent of the chosen action, dpkg hangs on my Raspberry Pi 2. It freezes the entire machine, but for example, if htop is already opened in another window, it keeps working. I tried the most ...
1
vote
1answer
76 views

Display the package date in the Aptitude UI

The Aptitude README (on Ubuntu 16.04, under /usr/share/doc/aptitude/README) gives the escape codes to customize how the packages are displayed in the UI (typing aptitude without any parameters at the ...
1
vote
2answers
2k views

How to access local repository mirror?

I am trying to access a local apt mirror which is on a usb drive. The file tree on the drive is /apt-mirror /mirror /archive.ubuntu.com /dists /pool /skel ...
1
vote
1answer
137 views

till what depth can aptitude -v verbose work

I have tried to understand how the verbose flag works and failed. Both the man page and the aptitude reference guide via file:///usr/share/doc/aptitude/html/en/ch02.html . The only helping usage is ...
1
vote
1answer
375 views

List packages coming from a specific Codename or Suite (apt based systems)

I already know how to list every package from a given "origin", thanks to aptitude awesome search features: aptitude search "?origin(My Backports)" However, in the repository Release file, there is ...
1
vote
1answer
2k views

How to remove metapackage entirely in Debian

Is there any way to remove meta package and all its packages? Subset of metapackage is packages which don't depend on metapackage by all means. That's why if remove one metapackage only the package's ...
1
vote
3answers
961 views

How can I get an Ubuntu 12.04 box to do an aptitude update; aptitude upgrade?

I did an aptitude apt-get and then aptitude upgrade, on an Ubuntu 12.04 box, and got: root@li393-189:~# aptitude upgrade Resolving dependencies... The following packages will be ...